#ifndef lint
static char *RCSid = "$Header: scthash.c,v 1.1 89/05/17 20:54:17 mr-frog Exp $";
#endif

/*
 * scthash.c
 *
 * create a hash function based on the
 * sector x-y mod table size.
 *
 * Dave Pare, 1986
 */

int
scthash(x, y, tsize)
	register int x;
	register int y;
	int	tsize;
{
	if (x < 0)
		x = -x;
	if (y < 0)
		y = -y;
	return ((x*10 + y) % tsize);
}
